de.esprit.appsuite.database.dbase.meta

## Enum JavaColumnType

- java.lang.Object
- - java.lang.Enum<JavaColumnType>
  - - de.esprit.appsuite.database.dbase.meta.JavaColumnType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<JavaColumnType>

      public enum JavaColumnType
      extends java.lang.Enum<JavaColumnType>

  This enum defines valid column types that can be mapped in a `DBOTypeMapCredential`
  Author:
    Rainer Buesch

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BLOB`
    `BOOLEAN`
    `CLOB`
    `DATE`
    `DOUBLE`
    `FLOAT`
    `INT`
    `LONG`
    `STRING`
    `TIME`
    `TIMESTAMP`
    `TRISTATE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JavaColumnType` | `fromString(java.lang.String typeStr)`
    `java.lang.Class` | `getJavaType()`
    `java.lang.String` | `getTypeString()`
    `static java.lang.String` | `validTypesList()`
    `static JavaColumnType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static JavaColumnType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### STRING

          public static final JavaColumnType STRING

    - #### BOOLEAN

          public static final JavaColumnType BOOLEAN

    - #### TRISTATE

          public static final JavaColumnType TRISTATE

    - #### INT

          public static final JavaColumnType INT

    - #### LONG

          public static final JavaColumnType LONG

    - #### FLOAT

          public static final JavaColumnType FLOAT

    - #### DOUBLE

          public static final JavaColumnType DOUBLE

    - #### TIMESTAMP

          public static final JavaColumnType TIMESTAMP

    - #### TIME

          public static final JavaColumnType TIME

    - #### DATE

          public static final JavaColumnType DATE

    - #### BLOB

          public static final JavaColumnType BLOB

    - #### CLOB

          public static final JavaColumnType CLOB

  - ### Method Detail

    - #### values

          public static JavaColumnType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JavaColumnType c : JavaColumnType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JavaColumnType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getTypeString

          public java.lang.String getTypeString()

    - #### getJavaType

          public java.lang.Class getJavaType()

    - #### fromString

          public static JavaColumnType fromString(java.lang.String typeStr)

    - #### validTypesList

          public static java.lang.String validTypesList()

Copyright © 2014 EsprIT-Systems. All Rights Reserved.